## GdaHanderString GdaHanderString — Default handler for string values |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaDataHandler * | gda_handler_string_new ()
GdaDataHandler * | gda_handler_string_new_with_provider ()

## Types and Values

| GdaHandlerString

## Object Hierarchy

        GObject
        ╰── GdaHandlerString

## Implemented Interfaces

GdaHandlerString implements GdaDataHandler.

## Includes

    #include <libgda/gda-blob-op.h>

## Description

You should normally not need to use this API, refer to the GdaDataHandler interface documentation for more information.

## Functions

### gda_handler_string_new ()

    GdaDataHandler *
    gda_handler_string_new (void);

Creates a data handler for strings

#### Returns

the new object.

[type GdaHandlerString][transfer full]

### gda_handler_string_new_with_provider ()

    GdaDataHandler *
    gda_handler_string_new_with_provider (GdaServerProvider *prov,
                                          GdaConnection *cnc);

Creates a data handler for strings, which will use some specific methods implemented by the `prov` object (possibly also `cnc` ).

#### Parameters

prov | a GdaServerProvider object |
cnc | a GdaConnection object, or `NULL`. | [nullable]

#### Returns

the new object.

[type GdaHandlerString][transfer full]

## Types and Values

### GdaHandlerString

    typedef struct _GdaHandlerString GdaHandlerString;

## See Also

GdaDataHandler interface